<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Security-Policy" content="default-src *  data: blob: 'unsafe-inline' 'unsafe-eval'; script-src * 'unsafe-inline' 'unsafe-eval'; connect-src * 'unsafe-inline'; img-src * data: blob: 'unsafe-inline'; frame-src *; style-src * data: blob: 'unsafe-inline'; font-src * data: blob: 'unsafe-inline';">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Synapse</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="importmap-type" content="systemjs-importmap">
   
    <script type="systemjs-importmap">
      {
        "imports": {
          "navbar": "http://localhost:88/main.js",
          "angularspa1": "http://localhost:89/main.js",
          "angularspa2": "http://localhost:90/main.js",         
          "single-spa": "https://unpkg.com/single-spa@4.3.2/lib/system/single-spa.min.js"
        }
      }
    </script>     
    <link rel="preload" href="https://unpkg.com/single-spa@4.3.2/lib/system/single-spa.min.js" as="script" crossorigin="anonymous" />
    <script src="https://unpkg.com/zone.js"></script>
    <script src="https://unpkg.com/import-map-overrides@1.5.0/dist/import-map-overrides.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/3.1.6/system.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/3.1.6/extras/amd.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/3.1.6/extras/named-exports.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/3.1.6/extras/named-register.min.js"></script>
    
    
  </head>
  <body id="main-body">
      <header>
          <div id="app-header">
          </div>
      </header>
  
      <div id="app-navigation"></div>
  
      <div id="app-core">
      </div>
  
      <div id="app-summarywidgets">
      </div>
      <footer>
          <div id="app-footer">
          </div>
      </footer>

    <script>
      System.import('single-spa').then(function (singleSpa) {
        singleSpa.registerApplication(
          'navbar',
          () => System.import('navbar'),
          location => true
        );       
        singleSpa.registerApplication(
          'angularspa1',
          () => System.import('angularspa1'),
          location => location.pathname.startsWith('/angularspa1')
        );
        singleSpa.registerApplication(
          'angularspa2',
          () => System.import('angularspa2'),
          location => location.pathname.startsWith('/angularspa2')
        );
   

        singleSpa.start();
      })
    </script>
  </body>
</html>
